#!/bin/bash
# Script utilisé pour "automatiser" (raccourcir) le processus de pull, d'ajout, de commit et de push pour le répositoire Gitea personnel.
# Ajout de messages et de délais pour mieux se repérer et se situer dans le processus.
# Ajout d'un système de choix

echo "Voulez-vous récupérer les fichiers à jour ou effectuer un push ? 
[1 = Pull, 2 = Push]"
read answer
echo "Quelle branche est concernée ? [1 = main, 2 = tests]"
read branch
if [ $branch == 1 ] ; then
	if [ $answer == 1 ] ; then
		echo "Récupération des fichiers à jour, branche main..."
		git pull origin main
	else
		echo "Ajout des fichiers au Gitea..."
		sleep 2
		git add .
		echo "Commit en cours..."
		sleep 2
		git commit
		echo "Push des fichiers au Gitea, branche main..."
		sleep 2
		git push origin main
	fi
else
	if [ $answer == 1 ] ; then
		echo "Récupération des fichiers à jour dans la branche tests..."
		git pull origin tests
	else
		echo "Ajout des fichiers au Gitea, branche tests..."
		sleep 2
		git add .
		echo "Commit en cours..."
		sleep 2
		git commit
		echo "Push des fichiers au Gitea, branche tests..."
		sleep 2
		git push origin tests
	fi
fi